Upstream information

CVE-2024-24789 at MITRE

Description

The archive/zip package's handling of certain types of invalid zip files differs from the behavior of most zip implementations. This misalignment could be exploited to create an zip file with contents that vary depending on the implementation reading the file. The archive/zip package now rejects files containing these errors.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 6.2
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team on the go1.* package

SUSE only supports the current and the previous GO language releases.

SUSE Bugzilla entry: 1225973 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:oldstable-2.34.5
  • go1.21 >= 1.21.11-150000.1.36.1
  • go1.21-doc >= 1.21.11-150000.1.36.1
  • go1.21-race >= 1.21.11-150000.1.36.1
Container bci/golang:stable-1.34.5
  • go1.22 >= 1.22.4-150000.1.18.1
  • go1.22-doc >= 1.22.4-150000.1.18.1
  • go1.22-race >= 1.22.4-150000.1.18.1
SUSE Liberty Linux 8
  • delve >= 1.21.2-3.module+el8.10.0+21244+5b2d9000
  • go-toolset >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang-bin >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang-docs >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang-misc >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang-src >= 1.21.11-1.module+el8.10.0+21986+2112108a
  • golang-tests >= 1.21.11-1.module+el8.10.0+21986+2112108a
Patchnames:
RHSA-2024:4237
SUSE Liberty Linux 9
  • go-toolset >= 1.21.11-1.el9_4
  • golang >= 1.21.11-1.el9_4
  • golang-bin >= 1.21.11-1.el9_4
  • golang-docs >= 1.21.11-1.el9_4
  • golang-misc >= 1.21.11-1.el9_4
  • golang-src >= 1.21.11-1.el9_4
  • golang-tests >= 1.21.11-1.el9_4
Patchnames:
RHSA-2024:4212
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • go1.21 >= 1.21.11-150000.1.36.1
  • go1.21-doc >= 1.21.11-150000.1.36.1
  • go1.21-race >= 1.21.11-150000.1.36.1
  • go1.22 >= 1.22.4-150000.1.18.1
  • go1.22-doc >= 1.22.4-150000.1.18.1
  • go1.22-race >= 1.22.4-150000.1.18.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2024-1969
SUSE-SLE-Module-Development-Tools-15-SP5-2024-1970
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Development Tools 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • go1.21 >= 1.21.11-150000.1.36.1
  • go1.21-doc >= 1.21.11-150000.1.36.1
  • go1.21-race >= 1.21.11-150000.1.36.1
  • go1.22 >= 1.22.4-150000.1.18.1
  • go1.22-doc >= 1.22.4-150000.1.18.1
  • go1.22-race >= 1.22.4-150000.1.18.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP6-2024-1969
SUSE-SLE-Module-Development-Tools-15-SP6-2024-1970
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • go1.21 >= 1.21.11-1.36.1
  • go1.21-doc >= 1.21.11-1.36.1
  • go1.22 >= 1.22.4-1.12.1
  • go1.22-doc >= 1.22.4-1.12.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2024-1935
SUSE-SLE-SDK-12-SP5-2024-1936
openSUSE Leap 15.5
  • go1.21 >= 1.21.11-150000.1.36.1
  • go1.21-doc >= 1.21.11-150000.1.36.1
  • go1.21-race >= 1.21.11-150000.1.36.1
  • go1.22 >= 1.22.4-150000.1.18.1
  • go1.22-doc >= 1.22.4-150000.1.18.1
  • go1.22-race >= 1.22.4-150000.1.18.1
Patchnames:
openSUSE-SLE-15.5-2024-1969
openSUSE-SLE-15.5-2024-1970
openSUSE Leap 15.6
  • go1.21 >= 1.21.11-150000.1.36.1
  • go1.21-doc >= 1.21.11-150000.1.36.1
  • go1.21-race >= 1.21.11-150000.1.36.1
  • go1.22 >= 1.22.4-150000.1.18.1
  • go1.22-doc >= 1.22.4-150000.1.18.1
  • go1.22-race >= 1.22.4-150000.1.18.1
Patchnames:
openSUSE-SLE-15.6-2024-1969
openSUSE-SLE-15.6-2024-1970
openSUSE Tumbleweed
  • forgejo >= 7.0.4-1.1
  • forgejo-apparmor >= 7.0.4-1.1
  • forgejo-selinux >= 7.0.4-1.1
  • go1.21 >= 1.21.11-1.1
  • go1.21-doc >= 1.21.11-1.1
  • go1.21-libstd >= 1.21.11-1.1
  • go1.21-race >= 1.21.11-1.1
  • go1.22 >= 1.22.4-1.1
  • go1.22-doc >= 1.22.4-1.1
  • go1.22-libstd >= 1.22.4-1.1
  • go1.22-race >= 1.22.4-1.1
Patchnames:
openSUSE-Tumbleweed-2024-14020
openSUSE-Tumbleweed-2024-14023
openSUSE-Tumbleweed-2024-14050


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 go Not affected
SUSE Linux Enterprise Desktop 15 SP5 go Not affected
SUSE Linux Enterprise Desktop 15 SP5 go1.21 Released
SUSE Linux Enterprise Desktop 15 SP5 go1.22 Released
SUSE Linux Enterprise Desktop 15 SP6 go Not affected
SUSE Linux Enterprise Desktop 15 SP6 go1.21 Released
SUSE Linux Enterprise Desktop 15 SP6 go1.22 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 go1.21 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 go1.22 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 go1.21 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 go1.22 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 go1.21 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 go1.22 Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP6 go1.21 Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 go1.22 Released
SUSE Linux Enterprise Server 12 SP5 go Not affected
SUSE Linux Enterprise Server 12 SP5 go1.21 Released
SUSE Linux Enterprise Server 12 SP5 go1.22 Released
SUSE Linux Enterprise Server 15 SP5 go Not affected
SUSE Linux Enterprise Server 15 SP5 go1.21 Released
SUSE Linux Enterprise Server 15 SP5 go1.22 Released
SUSE Linux Enterprise Server 15 SP6 go Not affected
SUSE Linux Enterprise Server 15 SP6 go1.21 Released
SUSE Linux Enterprise Server 15 SP6 go1.22 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 go Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 go1.21 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 go1.22 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go1.21 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go1.22 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 go1.21 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 go1.22 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 go Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 go1.21 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 go1.22 Released
SUSE Manager Proxy 4.3 go Not affected
SUSE Manager Proxy 4.3 go1.21 Affected
SUSE Manager Retail Branch Server 4.3 go Not affected
SUSE Manager Retail Branch Server 4.3 go1.21 Affected
SUSE Manager Server 4.3 go Not affected
SUSE Manager Server 4.3 go1.21 Affected
openSUSE Leap 15.5 go Not affected
openSUSE Leap 15.5 go1.21 Released
openSUSE Leap 15.5 go1.22 Released
openSUSE Leap 15.6 go Not affected
openSUSE Leap 15.6 go1.21 Released
openSUSE Leap 15.6 go1.22 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 go Not affected
SUSE Linux Enterprise Desktop 15 SP4 go1.21 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.21 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.21 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.21 Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.21 Affected
SUSE Linux Enterprise Server 15 SP3 go Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS go Not affected
SUSE Linux Enterprise Server 15 SP4 go Not affected
SUSE Linux Enterprise Server 15 SP4 go1.21 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.21 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.21 Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 SP3 go Not affected
SUSE Linux Enterprise Real Time 15 SP3 go Not affected
SUSE Linux Enterprise Real Time 15 SP3 go1.21 Affected
SUSE Linux Enterprise Real Time 15 SP4 go Not affected
SUSE Linux Enterprise Real Time 15 SP4 go1.21 Affected
SUSE Linux Enterprise Server 15 SP3-BCL go Not affected
SUSE Manager Proxy 4.2 go Not affected
SUSE Manager Retail Branch Server 4.2 go Not affected
SUSE Manager Server 4.2 go Not affected
openSUSE Leap 15.3 go Not affected
openSUSE Leap 15.4 go Not affected
openSUSE Leap 15.4 go1.21 Affected
Container Status
bci/golang:1.21 go1.21Released
bci/golang go1.22Released


SUSE Timeline for this CVE

CVE page created: Wed Jun 5 07:00:23 2024
CVE page last modified: Mon Jul 15 19:47:26 2024